## ros-foxy-rmw-dds-common 1.0.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(rmw_dds_common)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(rcpputils REQUIRED)
find_package(rcutils REQUIRED)
find_package(rmw REQUIRED)
find_package(rosidl_default_generators REQUIRED)

ament_export_dependencies(ament_cmake_core)
ament_export_dependencies(rcpputils)
ament_export_dependencies(rcutils)
ament_export_dependencies(rmw)
ament_export_dependencies(rosidl_default_runtime)

rosidl_generate_interfaces(
  ${PROJECT_NAME}
  "msg/Gid.msg"
  "msg/NodeEntitiesInfo.msg"
  "msg/ParticipantEntitiesInfo.msg"
)

add_library(${PROJECT_NAME}_library SHARED
  src/gid_utils.cpp
  src/graph_cache.cpp)
set_target_properties(${PROJECT_NAME}_library
  PROPERTIES OUTPUT_NAME ${PROJECT_NAME})
ament_target_dependencies(${PROJECT_NAME}_library
  "rcpputils"
  "rcutils"
  "rmw"
  "rosidl_runtime_cpp")
add_dependencies(${PROJECT_NAME}_library
  ${PROJECT_NAME})
target_include_directories(${PROJECT_NAME}_library
  PUBLIC
  "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
  "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}/rosidl_generator_c>"
  "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}/rosidl_generator_cpp>"
  "$<INSTALL_INTERFACE:include>")

# Causes the visibility macros to use dllexport rather than dllimport,
# which is appropriate when building the dll but not consuming it.
target_compile_definitions(${PROJECT_NAME}_library
  PRIVATE "RMW_DDS_COMMON_BUILDING_LIBRARY")

install(
  TARGETS ${PROJECT_NAME}_library EXPORT ${PROJECT_NAME}_library
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

ament_export_include_directories(include)
ament_export_libraries(${PROJECT_NAME}_library)
ament_export_targets(${PROJECT_NAME}_library)

install(
  DIRECTORY include/
  DESTINATION include)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  find_package(ament_cmake_gmock REQUIRED)
  find_package(osrf_testing_tools_cpp REQUIRED)
  ament_lint_auto_find_test_dependencies()

  find_package(performance_test_fixture REQUIRED)
  # Give cppcheck hints about macro definitions coming from outside this package
  get_target_property(ament_cmake_cppcheck_ADDITIONAL_INCLUDE_DIRS performance_test_fixture::performance_test_fixture INTERFACE_INCLUDE_DIRECTORIES)

  ament_add_gmock(test_graph_cache test/test_graph_cache.cpp)
  if(TARGET test_graph_cache)
    target_link_libraries(test_graph_cache ${PROJECT_NAME}_library osrf_testing_tools_cpp::memory_tools)
    target_compile_definitions(test_graph_cache PUBLIC RCUTILS_ENABLE_FAULT_INJECTION)
  endif()

  ament_add_gmock(test_gid_utils test/test_gid_utils.cpp)
  if(TARGET test_gid_utils)
    target_link_libraries(test_gid_utils ${PROJECT_NAME}_library)
  endif()

  add_performance_test(benchmark_graph_cache test/benchmark/benchmark_graph_cache.cpp)
  if(TARGET benchmark_graph_cache)
    target_link_libraries(benchmark_graph_cache ${PROJECT_NAME}_library)
  endif()
endif()

ament_package()

=== debian/changelog ===
ros-foxy-rmw-dds-common (1.0.3-1focal) focal; urgency=high

  * Update quality declaration links (re: ros2/docs.ros2.org#52 <https://github.com/ros2/docs.ros2.org/issues/52>) (#47 <https://github.com/ros2/rmw_dds_common/issues/47>)
  * Update QD to QL 1 (#39 <https://github.com/ros2/rmw_dds_common/issues/39>)
  * Contributors: Simon Honigmann, Stephen Brawner

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 14 Apr 2021 07:00:00 -0000

ros-foxy-rmw-dds-common (1.0.2-1focal) focal; urgency=high

  * Update QD links to Foxy
  * Updated performance section QD (#30 <https://github.com/ros2/rmw_dds_common/issues/30>)
  * Update Quality Declaration to QL2 (#31 <https://github.com/ros2/rmw_dds_common/issues/31>)
  * Add fault injection macro unit tests (#27 <https://github.com/ros2/rmw_dds_common/issues/27>)
  * Added benchmark test to rmw_dds_common (#29 <https://github.com/ros2/rmw_dds_common/issues/29>)
  * Contributors: Alejandro Hernández Cordero, Michel Hidalgo, Stephen Brawner

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 11 Nov 2020 08:00:00 -0000

ros-foxy-rmw-dds-common (1.0.1-1focal) focal; urgency=high

  * Add Security Vulnerability Policy pointing to REP-2006 (#21 <https://github.com/ros2/rmw_dds_common/issues/21>)
  * Fix graph cache tests (#22 <https://github.com/ros2/rmw_dds_common/issues/22>)
  * Contributors: Chris Lalancette, Michel Hidalgo

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 01 Jun 2020 07:00:00 -0000

ros-foxy-rmw-dds-common (1.0.0-1focal) focal; urgency=high

  * Added Doxyfile (#19 <https://github.com/ros2/rmw_dds_common/issues/19>)
  * Improve test coverage. (#20 <https://github.com/ros2/rmw_dds_common/issues/20>)
  * Add README and QUALITY_DECLARATION for current QL level (#17 <https://github.com/ros2/rmw_dds_common/issues/17>)
  * Contributors: Alejandro Hernández Cordero, Michel Hidalgo, Stephen Brawner

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 26 May 2020 07:00:00 -0000

ros-foxy-rmw-dds-common (0.1.0-1focal) focal; urgency=high

  * Export targets in addition to include directories / libraries (#15 <https://github.com/ros2/rmw_dds_common/issues/15>)
  * Increasing code coverage (#14 <https://github.com/ros2/rmw_dds_common/issues/14>)
  * security-context -> enclave (#13 <https://github.com/ros2/rmw_dds_common/issues/13>)
  * Make rmw_dds_common use rosidl_generator_interfaces normally (#12 <https://github.com/ros2/rmw_dds_common/issues/12>)
  * Changed rosidl_generator_cpp with rosidl_runtime_cpp (#10 <https://github.com/ros2/rmw_dds_common/issues/10>)
  * Fix windows warning (#7 <https://github.com/ros2/rmw_dds_common/issues/7>)
  * First implementation (#4 <https://github.com/ros2/rmw_dds_common/issues/4>)
  * Contributors: Alejandro Hernández Cordero, Dirk Thomas, Ivan Santiago Paunovic, Mikael Arguedas

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Sat, 25 Apr 2020 07:00:00 -0000

=== debian/control ===
Source: ros-foxy-rmw-dds-common
Section: misc
Priority: optional
Maintainer: Ivan Paunovic <ivanpauno@ekumenlabs.com>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake, ros-foxy-ament-cmake-gmock, ros-foxy-ament-lint-auto, ros-foxy-ament-lint-common, ros-foxy-osrf-testing-tools-cpp, ros-foxy-performance-test-fixture, ros-foxy-rcpputils, ros-foxy-rcutils, ros-foxy-rmw, ros-foxy-rosidl-default-generators, ros-foxy-rosidl-runtime-cpp, ros-foxy-ros-workspace, ros-foxy-rosidl-typesupport-fastrtps-c, ros-foxy-rosidl-typesupport-fastrtps-cpp, ros-foxy-rosidl-typesupport-connext-c, ros-foxy-rosidl-typesupport-connext-cpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-rmw-dds-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-rcpputils, ros-foxy-rcutils, ros-foxy-rmw, ros-foxy-rosidl-default-runtime, ros-foxy-rosidl-runtime-cpp, ros-foxy-ros-workspace
Description: Define a common interface between DDS implementations of ROS middleware.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-rmw-dds-common//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
